Last Comment Bug 875660 - Remove the "driver.js" module from mozmill code
: Remove the "driver.js" module from mozmill code
Status: RESOLVED FIXED
[lang=js][good first bug][mozmill-2.1]
:
Product: Testing Graveyard
Classification: Graveyard
Component: Mozmill (show other bugs)
: unspecified
: All All
-- normal
: ---
Assigned To: Gaurav Rai [:gaurav0x]
: Henrik Skupin (:whimboo) [away 02/18 - 02/27]
:
Mentors: Henrik Skupin (:whimboo) [away 02/18 - 02/27]
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-23 23:16 PDT by Daniela Petrovici
Modified: 2016-08-24 09:02 PDT (History)
8 users (show)
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
I-removed-the-driver.js-module-from-mozmill.patch (9.11 KB, patch)
2014-09-29 11:25 PDT, Gaurav Rai [:gaurav0x]
hskupin: review+
Details | Diff | Splinter Review

Description User image Daniela Petrovici 2013-05-23 23:16:23 PDT
Driver.js library should be removed from mozmill 2.0. 

It was used by the refactoring of the mozmill tests. Also it is not necessary with the move to marionette.
Comment 1 User image Henrik Skupin (:whimboo) [away 02/18 - 02/27] 2013-05-24 02:57:57 PDT
The file to be removed can be found here:
https://github.com/mozilla/mozmill/blob/master/mozmill/mozmill/extension/resource/modules/driver.js
Comment 2 User image toman22 2013-05-30 03:47:04 PDT
Hi, I'm new in the community, already 3 days I'm trying to start contributing.
I really need a mentor.
Can I start with this?
Comment 3 User image Henrik Skupin (:whimboo) [away 02/18 - 02/27] 2013-05-30 11:06:41 PDT
Hi toman! Welcome to our community! It's great to have you here, and I hope you will enjoy working on this bug. To get started with Mozmill you might want to have a look in our Wiki:
https://wiki.mozilla.org/Auto-tools/Projects/Mozmill/RepoSetup

If you need further information you can join our #automation channel on IRC.
Comment 4 User image Henrik Skupin (:whimboo) [away 02/18 - 02/27] 2013-05-30 11:08:37 PDT
I will assign the bug to you now, so that no-one else would start on it. Please let me known if you have further questions.
Comment 5 User image Amod [:AMoz] 2014-04-17 12:12:03 PDT
Hello toman, hello whimboo.

Toman, are you still working on the bug ?
Whimboo, I would like to work on this if Toman isnt contributing.
Comment 6 User image Jonathan Griffin (:jgriffin) 2014-07-08 13:31:27 PDT
Amod, are you still interested in working on this?
Comment 7 User image Amod [:AMoz] 2014-07-08 22:03:16 PDT
Yes. I request you for 1 week's time. I would return to bugzilla soon. Thanks !
Comment 8 User image Gaurav Rai [:gaurav0x] 2014-09-29 11:02:03 PDT
I want to work on it.. i'm newbie...do i just need to delete that file?
Comment 9 User image Gaurav Rai [:gaurav0x] 2014-09-29 11:03:41 PDT
I want to work on it.. i'm newbie...do i just need to delete that file?
Comment 10 User image Gaurav Rai [:gaurav0x] 2014-09-29 11:25:34 PDT
Created attachment 8496992 [details] [diff] [review]
I-removed-the-driver.js-module-from-mozmill.patch

I tried to fix the bug.here's my patch..check it out..
Comment 11 User image Gaurav Rai [:gaurav0x] 2014-09-29 11:27:17 PDT
and do assign the bug to me
Comment 12 User image Jesal 2014-10-08 08:50:17 PDT
Hi is this bug being worked on? If not I would like to work on it please.

Thanks

Jesal
Comment 13 User image Henrik Skupin (:whimboo) [away 02/18 - 02/27] 2014-10-12 18:57:21 PDT
Hi Gaurav. Sorry for the delay here! Thank you for taking a stab on working on it. I will do a review in a bit.
Comment 14 User image Henrik Skupin (:whimboo) [away 02/18 - 02/27] 2014-10-12 18:59:04 PDT
Comment on attachment 8496992 [details] [diff] [review]
I-removed-the-driver.js-module-from-mozmill.patch

Review of attachment 8496992 [details] [diff] [review]:
-----------------------------------------------------------------

Looks fine to me.
Comment 15 User image Henrik Skupin (:whimboo) [away 02/18 - 02/27] 2014-10-12 19:02:59 PDT
I have updated the commit message so it conforms our guidelines and got the patch pushed to the master branch so it will be part of Mozmill 2.1:

https://github.com/mozilla/mozmill/commit/b6f577d63dbb7ae89ecde665457c08729db611be

Gaurav, if you want to help with some other challenging task please let me know. Jesal, the same applies to you. First place to look at should be http://www.joshmatthews.net/bugsahoy/?automation=1&unowned=1&simple=1. Thanks
Comment 16 User image Gaurav Rai [:gaurav0x] 2014-10-12 21:55:02 PDT
Thanks Henrik and I would really like to work on some challenging bug. Do tell me if you have any on your mind (C++,Js,Html,Css)
Comment 17 User image Henrik Skupin (:whimboo) [away 02/18 - 02/27] 2014-10-13 13:32:27 PDT
Gaurav, something where we would need help with is bug 879946. Those lookups are busting our test results each time elements are changed. If you think that you can help us, I would appreciate your assistance!
Comment 18 User image Henrik Skupin (:whimboo) [away 02/18 - 02/27] 2014-10-27 07:27:33 PDT
(In reply to Henrik Skupin (:whimboo) from comment #17)
> Gaurav, something where we would need help with is bug 879946. Those lookups

Gaurav, would that be a good candidate for you?
Comment 19 User image Gaurav Rai [:gaurav0x] 2014-10-27 10:31:53 PDT
I want to work on that bug but can you help me understand that bug?
Comment 20 User image Henrik Skupin (:whimboo) [away 02/18 - 02/27] 2014-10-28 02:15:24 PDT
Sure. Lets move the conversation to the other bug then.
Comment 21 User image Henrik Skupin (:whimboo) [away 02/18 - 02/27] 2014-12-09 03:32:21 PST
This patch actually missed to remove the require line from inside the frame.js module. So Mozmill was broken on the master branch. I pushed a bustage fix to be able to continue with development.

https://github.com/mozilla/mozmill/commit/e04eec8628ad3f64a3ef9ef557ad15c0e60ea3cb

Note You need to log in before you can comment on or make changes to this bug.